#!/opt/rational/common/bin/ratlperl

################################################################################
# IBM Confidential
# OCO Source Materials
# Rational ClearCase
# (C) Copyright IBM Corporation 2012.  All rights reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
################################################################################

################################################################################
#    Trigger script for CC adapter Junit test "CcClearpromptTest".
# Its purpose is to execute "clearprompt" commands sent to it by the
# individual Junit tests.  For lack of a better communications channel
# between the Junit tests and this script, we use the "comment" field of a
# particular UCM stream: "TriggerIntStream".
#    See CcClearpromptTest javadoc for additional info.
#
# NOTE: You must fill in the pvob of the test environment below.
################################################################################

use strict;

################################################################################
sub main
################################################################################
{
	my $triggerStream = "TriggerIntStream@\\PVOB_HERE";

	my $clearpromptArgs = `cleartool lsstream -fmt %c $triggerStream`;
	exit(system("clearprompt $clearpromptArgs"));
}

main();
